LT-2 landing struts vibrate and break under strain
Description

Hi there,

The LT-2 landing struts are far weaker than before even when used in numbers. They also, under strain, vibrate violently moving the
craft across the surface and breaking even when landing at 1M/s.

I have included a simple craft with a 40t weight held by eight LT-2 legs. The legs in 1.05 could easily support this weight and now
craft are broken because of this.

| suspect it is connected to the suspension system.

I have included two test craft. One with the legs attached to an ibeam then the main weight, in this configuration the legs explode on
loading. The second craft has the legs attached directly to the main weight. The legs in this configuration survive the physics loading
but vibrate so much that the whole craft moves like a vibrating phone on a table. This occurs with suspension on and off.

History

#1 - 04/26/2016 02:32 PM - michelcolman

Came here to post the same bug. I'm on Mac OS X.

Sent a rocket to Minmus to land in all biomes. Big orange tank, crew capsule and some science stuff (including Science Jr). Landing even at an
extremely low vertical speed on Minmus, and with the orange tank only half full, causes one or more struts to explode. Cutting engines from a perfect
hover with the gear visibly touching the surface of any of the Flats, is enough to make them explode after the craft slowly dropped the few centimeters
from the visible surface to the physical surface. With an extremely precise perfect hover even lower than that (bottom of the gear disappeared in the
"mud" before perfect hover), | can land successfully but the craft starts wobbling uncontrollably after touch down and this is sometimes enough to
cause another explosion afterwards. On any kind of slope, if you manage to touch down without explosions (nearly impossible to do) the wobble gets
stronger and the craft starts hopping down hill. At some point one of the legs will then explode again.

Landing on the engine bell with the gear retracted (no problem), then extending the gear when already on the ground, hops the craft up above the
surface a little bit, then it comes back down again and all four struts explode.

Wobbling happens even with the suspension locked!

#2 - 04/28/2016 11:29 AM - GoSlash27

All,
| have a MM patch that should fix this problem until Squad rolls out an update

Best,
-Slashy

#3 - 04/28/2016 01:01 PM - michelcolman

- File Before physics.png added

- File Physics kick in.png added

- File Afterwards.png added

Extra info: it seems to matter what you attach the struts to.

Tried today: big orange fuel tank with four XL girders sticking out at the bottom, and LT-2 struts attached to the ends of those girders. Worked fine in
1.0.5, now the struts blow up when physics start at the launch platform. However, if you attach the same struts directly to the tank without the girders,

no problem. It even survives a 5 m/s fall from a hover above the launch pad.

Further experiment to make it even more clear and easy to reproduce: orange tank, four XL girders with LT-2 struts connected to them, and four LT-2
struts placed a bit higher directly on the orange tank in between the girders. The screenshots show what happens: first the four struts on the girders

blow up, then the whole thing falls down onto the directly connected struts which take the load just fine.

#4 - 07/17/2016 09:47 AM - TriggerAu

- Status changed from New to Needs Clarification
